> ## Documentation Index
> Fetch the complete documentation index at: https://gnosispay-feat-v2-auth-module.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Available Terms

> Get all available terms types with current versions (public)



## OpenAPI

````yaml https://gp-auth-module.prod.gnosispay.com/openapi.json get /terms
openapi: 3.0.0
info:
  version: 1.0.0
  title: SIWE Authentication API
  description: Sign In With Ethereum authentication service
servers:
  - url: https://gp-auth-module.prod.gnosispay.com
    description: API server
security: []
paths:
  /terms:
    get:
      tags:
        - Terms
      summary: List Available Terms
      description: Get all available terms types with current versions (public)
      responses:
        '200':
          description: Terms listed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTermsSuccess'
        '502':
          description: Core API error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  error:
                    type: string
                required:
                  - success
                  - error
components:
  schemas:
    GetTermsSuccess:
      type: object
      properties:
        terms:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
              currentVersion:
                type: string
              name:
                type: string
              url:
                type: string
                nullable: true
            required:
              - type
              - currentVersion
              - name
              - url
      required:
        - terms

````